using System;
using System.Collections;
using UnityEngine;

public class Clap : MotionNote
{
    private static Sprite image = LoadNewSprite("");
    public override Sprite Image
    {
        get
        {
            return image;
        }
    }

    public Clap(string key, float timing) : base(timing)
    {
    }
    public Clap(float timing) : base(timing)
    {
    }

    public override IEnumerator Checkpoint()
    {
        var motionState = InputManager.Instance.CurrentMotionState;
        var motion = motionState;

        while (motion != MotionState.CLAP_PREPARE)
            yield return null;

        Activated = true;

        yield break;
    }
}
