using System;
using System.Collections;
using UnityEngine;

public class Jump : MotionNote
{
    private static Sprite image = new Sprite();
    public override Sprite Image
    {
        get
        {
            return image;
        }
    }

    public Jump(string key, float timing) : this(timing)
    {
    }
    public Jump(float timing) : base(timing)
    {
    }

    public override IEnumerator Checkpoint()
    {
        var motionState = InputManager.Instance.CurrentMotionState;
        var motion = motionState;

        while (motion != MotionState.CLAP_PREPARE)
            yield return false;

        Activated = true;

        yield break;
    }
}
